Bug 479928 - guidance-power-manager updates to dbus via hald cause messages to grow quickly
guidance-power-manager updates to dbus via hald cause messages to grow quickly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: guidance-power-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 23:45 EST by Jerry Amundson
Modified: 2009-03-25 10:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 10:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2009-01-13 23:45:31 EST
Description of problem:
guidance-power-manager updates every five (5) seconds to hald regarding CPUFreq cause dbus messages, eventually filling / (or /var ymmv), thereby creating chaos and widespread havoc.

Version-Release number of selected component (if applicable):
guidance-power-manager-4.1.3-2.fc11.i386

How reproducible:
always

Steps to Reproduce:
1. login to desktop
2.
3.
  
Actual results:

Jan 13 21:50:28 localhost dbus: Would reject message, 1 matched rules; type="method_call", sender=":1.34" (uid=500 pid=2895 comm="/usr/bin/python /usr/bin/guidance-power-manager ") interface="org.freedesktop.Hal.Device.CPUFreq" member="GetCPUFreqGovernor" error name="(unset)" requested_reply=0 destination=":1.0" (uid=0 pid=1919 comm="hald "))
Jan 13 21:50:33 localhost dbus: Would reject message, 1 matched rules; type="method_call", sender=":1.34" (uid=500 pid=2895 comm="/usr/bin/python /usr/bin/guidance-power-manager ") interface="org.freedesktop.Hal.Device.CPUFreq" member="GetCPUFreqGovernor" error name="(unset)" requested_reply=0 destination=":1.0" (uid=0 pid=1919 comm="hald "))
Jan 13 21:50:38 localhost dbus: Would reject message, 1 matched rules; type="method_call", sender=":1.34" (uid=500 pid=2895 comm="/usr/bin/python /usr/bin/guidance-power-manager ") interface="org.freedesktop.Hal.Device.CPUFreq" member="GetCPUFreqGovernor" error name="(unset)" requested_reply=0 destination=":1.0" (uid=0 pid=1919 comm="hald "))
Jan 13 21:50:43 localhost dbus: Would reject message, 1 matched rules; type="method_call", sender=":1.34" (uid=500 pid=2895 comm="/usr/bin/python /usr/bin/guidance-power-manager ") interface="org.freedesktop.Hal.Device.CPUFreq" member="GetCPUFreqGovernor" error name="(unset)" requested_reply=0 destination=":1.0" (uid=0 pid=1919 comm="hald "))

Expected results:
Nothing sent to syslog

Additional info:
Comment 1 Rex Dieter 2009-01-14 01:13:37 EST
Oh joy, more dbus fallout.
Comment 2 Steven M. Parrish 2009-03-21 14:58:00 EDT
Have this been resolved with any of the recent updates?
Comment 3 Jerry Amundson 2009-03-25 10:20:27 EDT
(In reply to comment #2)
> Have this been resolved with any of the recent updates?  

Yes.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.